import request from '@/utils/request'
import requestFile from '@/utils/requestfile'
import qs from 'qs'

// 上传警示教育资料
/**
 * brefIntroduction  简介
 * category  类别
 * file  文件
 * link  链接
 * title  题目
 */
export function postWarnTeach(data) {
  return requestFile({
    url: 'api/warningEducation',
    method: 'post',
    data
  })
}

// 删除警示教育资料
/**
 * ids [0]
 */
export function deleteWarnTeach(data) {
  return request({
    url: 'api/warningEducation',
    method: 'delete',
    data
  })
}

// 查询警示教育资料
/**
 * category  类别
 * page 页码
 * size 每页显示的数目
 * sort 排序顺序
 * title 题目
 * uploadEndTime 上传截止日期: yyyy-MM-dd
 * uploadStartTime 上传起始日期: yyyy-MM-dd
 * uploader 上传人
 */
export function getWranTeach(params) {
  return request({
    url: 'api/warningEducation/page',
    method: 'get',
    params
  })
}

// 修改警示资料
/**
 * brefIntroduction  简介
 * category  类别
 * file  文件
 * link  链接
 * title  题目
 */
export function putWarnTeach(data) {
  return requestFile({
    url: 'api/warningEducation',
    method: 'post',
    data
  })
}

/**
 * 获取所有类别
 */
export function getWarnTeachCategory() {
  return request({
    url: 'api/warningEducation/findCategory',
    method: 'get'
  })
}
